> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Links

> This endpoint allows you to access a list of all the payment links created under your Niobi account.



## OpenAPI

````yaml get /api/payment-link-api/list
openapi: 3.0.0
info:
  title: Niobi API
  description: >-
    REST API for collecting payments, sending payouts, and managing
    multi-currency wallets across Africa and global corridors. All requests
    require IP whitelisting and a unique per-request HMAC SHA-256 signature.
  version: 4.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Sandbox, Development and Testing
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/payment-link-api/list:
    get:
      tags:
        - payment-link
      summary: Get Payment Links
      description: >-
        This endpoint allows you to access a list of all the payment links
        created under your Niobi account.
      operationId: paymentLinkList
      responses:
        '200':
          description: Ok.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'true'
                  message:
                    type: string
                    example: Payment link list fetched successfully.
                  data:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 142
                            link:
                              type: string
                              example: >-
                                https://payments.niobi.co/pay/550e8400-e29b-41d4-a716-446655440000
                            amount:
                              type: number
                              example: 5000
                            business_name:
                              type: string
                              example: Acme Store
                            item_name:
                              type: string
                              example: Software Subscription
                            status:
                              type: string
                              example: active
                            currency:
                              type: string
                              example: KES
                            country_id:
                              type: integer
                              example: 1
                            total_amount:
                              type: number
                              example: 25000
                            total_transactions:
                              type: integer
                              example: 5
                            created_at:
                              type: string
                              example: '2026-08-29 10:00:00'
                      total:
                        type: integer
                        example: 1
                type: object
              example:
                success: true
                message: Payment links fetched successfully.
                data:
                  current_page: 1
                  data:
                    - id: 142
                      link: >-
                        https://payments.niobi.co/pay/550e8400-e29b-41d4-a716-446655440000
                      amount: 5000
                      business_name: Acme Store
                      item_name: Software Subscription
                      status: active
                      currency: KES
                      country_id: 1
                      total_amount: 25000
                      total_transactions: 5
                      created_at: '2026-08-29 10:00:00'
                  total: 1
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: User not found
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: message
                type: object

````